Rotate a key for encrypted saved objects
- Base URL
-
https://{kibana_url}
- POST /api/encrypted_saved_objects/_rotate_key
Superuser role required.
If a saved object cannot be decrypted using the primary encryption key, then Kibana will attempt to decrypt it using the specified decryption-only keys. In most of the cases this overhead is negligible, but if you're dealing with a large number of saved objects and experiencing performance issues, you may want to rotate the encryption key.
This functionality is in technical preview and may be changed or removed in a future release. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features.
Query parameters
-
batch_sizenumber · default: 10000 -
Specifies a maximum number of saved objects that Kibana can process in a single batch. Bulk key rotation is an iterative process since Kibana may not be able to fetch and process all required saved objects in one go and splits processing into consequent batches. By default, the batch size is 10000, which is also a maximum allowed value.
Responses
Indicates a successful call.
-
failednumber -
Indicates the number of the saved objects that were still encrypted with one of the old encryption keys that Kibana failed to re-encrypt with the primary key.
-
successfulnumber -
Indicates the total number of all encrypted saved objects (optionally filtered by the requested
type), regardless of the key Kibana used for encryption.NoteIn most cases,
totalwill be greater thansuccessfuleven iffailedis zero. The reason is that Kibana may not need or may not be able to rotate encryption keys for all encrypted saved objects.
Bad request
Already in progress.
Response Type: object